Subject: bug#10275: speedbar highlights first selected item in speedbar-highlight-face

From: martin rudalics <[email-masked]>
Date: Wed, 14 Dec 2011 19:20:47 +0100

> IOW, the bug is in removing the highlight when selecting subsequent items.

Not really.  FWIW the bug happens because `handle-switch-frame' runs
`pre-command-hook', something Eric probably didn't expect.  Switching
the frame is needed because the mouse click selects the speedbar frame
and we immediately want to return to the frame where the source file is
shown.  But I don't understand why de-highlighting doesn't occur when
hitting RET in the speedbar or switching to another buffer with the
mouse.

martin